tigase.server.filters

## Class PacketCounter

- java.lang.Object
- - tigase.server.filters.PacketCounter

- All Implemented Interfaces:
    PacketFilterIfc

      public class PacketCounter
      extends Object
      implements PacketFilterIfc

  Created: Jun 8, 2009 1:47:31 PM
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PacketCounter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Packet` | `filter(Packet packet)` Method description
    `void` | `getStatistics(StatisticsList list)` Method description
    `void` | `init(String name, QueueType qType)` Method description

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PacketCounter

          public PacketCounter()

  - ### Method Detail

    - #### filter

          public Packet filter(Packet packet)

      Method description
      Specified by:
        `filter` in interface `PacketFilterIfc`
      Parameters:
        `packet` -
      Returns:
        a Packet object which is further processed by the system. If the method decided to block the packet it returns null. If the method want the packet to be processed without any modifications it returns the same object it received as a parameter. It may also return a modified copy of the Packet.

    - #### init

          public void init(String name,
                  QueueType qType)

      Method description
      Specified by:
        `init` in interface `PacketFilterIfc`
      Parameters:
        `name` -
        `qType` -

    - #### getStatistics

          public void getStatistics(StatisticsList list)

      Method description
      Specified by:
        `getStatistics` in interface `PacketFilterIfc`
      Parameters:
        `list` -

Copyright © 2014 "Tigase, Inc.". All rights reserved.